import { ApplicationRef, ComponentFactoryResolver, Injector } from '@angular/core';
import { CoreDynamicComponentService } from './core-dynamic-component.service';
import { DialogResponseInterface } from '../../interfaces/dialog-response.interface';
export declare class CoreDialogService {
    private _compFactoryResolver;
    private appRef;
    private injector;
    private dynamicComponentService;
    private _componentRefs;
    constructor(_compFactoryResolver: ComponentFactoryResolver, appRef: ApplicationRef, injector: Injector, dynamicComponentService: CoreDynamicComponentService);
    showYesNo(title: string, text: string, showRememberChoice?: boolean): Promise<DialogResponseInterface>;
    showError(message: string, details?: string): Promise<any>;
    showInformation(message: string): Promise<any>;
    showWarning(message: string): Promise<any>;
}
